--
-- IHC 1455 XL
-- Spezialization um Hilfe ein- bzw. ausblenden zu knnen
-- 
--
-- Author  Friedrich L.  -  Skullman
-- Date 18. Dezember 2010
-- Web www.modding-society.de
--
-- Copyright (c) Friedrich L. - All Rights Reserved.
--

JD8410ShowHelp = {};

function JD8410ShowHelp.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function JD8410ShowHelp:load(xmlFile)
	self.JD8410ShowHelp = false;
end;

function JD8410ShowHelp:delete()
end;

function JD8410ShowHelp:mouseEvent(posX, posY, isDown, isUp, button)
end;

function JD8410ShowHelp:keyEvent(unicode, sym, modifier, isDown)
end;

function JD8410ShowHelp:update(dt)
	if self:getIsActiveForInput() then
		if InputBinding.hasEvent(InputBinding.TOGGLE_SHOW_HELP) then
			self.JD8410ShowHelp = not self.JD8410ShowHelp;
		end;
	end;
end;



function JD8410ShowHelp:updateTick(dt)
end;


function JD8410ShowHelp:draw()
	if not self.JD8410ShowHelp then
		renderText(0.75, 0.25, 0.02, " Numpad 0: John Deere Info Ein ");
	 else
		-- Koordinaten sind aus der F930.lua - Author leider unbekannt
		renderText(0.75, 0.25, 0.02, "Numpad 0: John Deere Info Aus");
		renderText(0.72, 0.68, 0.025, "- John Deere 8410 -");			
		renderText(0.72, 0.65, 0.02, "Key Home: Rundumleuchten ");
		renderText(0.72, 0.63, 0.02, "Key KP 1: Blinker links ");
		renderText(0.72, 0.61, 0.02, "Key KP 2: Warnblinker");
		renderText(0.72, 0.59, 0.02, "Key KP 3: Blinker rechts");
		renderText(0.72, 0.57, 0.02, "Key F lange gedrueckt: Fernlicht ");
		renderText(0.72, 0.55, 0.02, "Key KP 5: Arbeitslicht vorne ");
		renderText(0.72, 0.53, 0.02, "Key KP 6: Arbeitslicht hinten");
		renderText(0.72, 0.51, 0.02, "Key 7: Warntafelnlicht");			
		renderText(0.72, 0.49, 0.02, "Key 8: Zwillingsreifen / Warntafeln ");
		renderText(0.72, 0.47, 0.02, "Key Page_Up: ESLimiter_PLUS");
		renderText(0.72, 0.45, 0.02, "Key Page_Down: ESLimiter_Minus");
		renderText(0.72, 0.43, 0.02, "Key 6: Zusatz Gewichte Vorne");
		renderText(0.72, 0.41, 0.02, "Key 0: Hupe");
        renderText(0.72, 0.38, 0.025, "- John Deere 8410 -");
	end;
end;

function JD8410ShowHelp:onLeave()
	self.JD8410ShowHelp = false;
end;




